org.apache.olingo.client.api.communication.request

## Interface ODataBatchableRequest

- All Superinterfaces:
    ODataRequest
  All Known Subinterfaces:
    EdmMetadataRequest, ODataDeleteRequest, ODataDeltaRequest, ODataEntityCreateRequest<E>, ODataEntityRequest<E>, ODataEntitySetIteratorRequest<ES,E>, ODataEntitySetRequest<ES>, ODataEntityUpdateRequest<E>, ODataMediaEntityCreateRequest<E>, ODataMediaEntityUpdateRequest<E>, ODataMediaRequest, ODataPropertyRequest<T>, ODataPropertyUpdateRequest, ODataReferenceAddingRequest, ODataRetrieveRequest<T>, ODataServiceDocumentRequest, ODataStreamUpdateRequest, ODataValueRequest, ODataValueUpdateRequest, XMLMetadataRequest

      public interface ODataBatchableRequest
      extends ODataRequest

  Object request that can be sent embedded into a batch request.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `batch(ODataBatchRequest req)` Writes (and consume) the request onto the given batch stream.
    `void` | `batch(ODataBatchRequest req, String contentId)` Writes (and consume) the request onto the given batch stream.

    - ### Methods inherited from interface org.apache.olingo.client.api.communication.request.ODataRequest

      `addCustomHeader, getAccept, getContentType, getHeader, getHeaderNames, getHttpRequest, getIfMatch, getIfNoneMatch, getMethod, getPrefer, getURI, rawExecute, setAccept, setContentType, setIfMatch, setIfNoneMatch, setPrefer, setURI, setXHTTPMethod, toByteArray`

- - ### Method Detail

    - #### batch

          void batch(ODataBatchRequest req)

      Writes (and consume) the request onto the given batch stream.

      Please note that this method will consume the request (execution won't be possible anymore).

      Parameters:
        `req` - destination batch request.

    - #### batch

          void batch(ODataBatchRequest req,
                     String contentId)

      Writes (and consume) the request onto the given batch stream.

      Please note that this method will consume the request (execution won't be possible anymore).

      Parameters:
        `req` - destination batch request.
        `contentId` - ContentId header value to be added to the serialization. Use this in case of changeset items.

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.